Bug 765073 (GLUSTER-3341)

Summary: [ebeedba9d76e51f4ddeacfbbf335e3eab6272435]: memleak in glusterd
Product: [Community] GlusterFS Reporter: Raghavendra Bhat <rabhat>
Component: glusterdAssignee: Raghavendra Bhat <rabhat>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: pre-releaseCC: gluster-bugs, vijay
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: glusterfs-3.3.0qa14 Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Raghavendra Bhat 2011-08-05 06:02:51 EDT
There is a memleak in release-3.1 glusterd. Ran volume set in a loop and valgrind reported the leak.



8,910 bytes in 135 blocks are definitely lost in loss record 110 of 118
==6916==    at 0x4C277CC: calloc (vg_replace_malloc.c:467)
==6916==    by 0x4E79AE4: __gf_calloc (mem-pool.c:142)
==6916==    by 0x74D7789: gf_strdup (mem-pool.h:91)
==6916==    by 0x74D8CA3: option_complete (glusterd-volgen.c:741)
==6916==    by 0x74D8D49: glusterd_check_globaloption (glusterd-volgen.c:762)
==6916==    by 0x74BAAE2: glusterd_op_set_volume (glusterd-op-sm.c:3993)
==6916==    by 0x74BF9E5: glusterd_op_commit_perform (glusterd-op-sm.c:5642)
==6916==    by 0x74BDF72: glusterd_op_ac_send_commit_op (glusterd-op-sm.c:5042)
==6916==    by 0x74BFE91: glusterd_op_sm (glusterd-op-sm.c:5916)
==6916==    by 0x74A5698: glusterd_handle_set_volume (glusterd-handler.c:1779)
==6916==    by 0x50A993B: rpcsvc_handle_rpc_call (rpcsvc.c:998)
==6916==    by 0x50A9CDE: rpcsvc_notify (rpcsvc.c:1094)
Comment 1 Anand Avati 2011-09-12 02:31:39 EDT
CHANGE: http://review.gluster.com/394 (Change-Id: I520abf3c57a15be8bb7dd1e92ad0b049ef5c8970) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2011-09-23 07:17:17 EDT
CHANGE: http://review.gluster.com/179 (Change-Id: I690b78032060732c1783e4f9049a114e594a3455) merged in release-3.1 by Vijay Bellur (vijay@gluster.com)
Comment 3 Raghavendra Bhat 2011-10-05 01:16:22 EDT
Its fixed now. Checked with glusterfs-3.3.0qa14 and valgrind does not report the leak mentioned.